Subject: Re: [urn] Users and URIs (was: Re: Some observations to add to the discussion)

From: "Svensson, Lars" <[email-masked]>
Date: Wed, 9 Jul 2014 13:05:28 +0000

> >>> I've been told that the original web design assumed that users would
> >>> never actually have to look at a URL;
> >
> > http://www.ietf.org/rfc/rfc1630 isn't the earliest document, but
> > it's close enough. Nothing in there makes any assumption that
> > "users would never actually have to look at a URL".
> >
> > It explicitly makes a requirement
> >
> >       Printable               It is possible to express any URI using
> >                                7-bit ASCII characters so that URIs may,
> >                                if necessary, be passed using pen and ink.
> >
> > the documents about the original design of the web are readily available
> 
[...]

> Good Web stuff is designed so that those URIs/IRIs that have a high
> chance of being used on napkins,... and in user's heads are short and
> easily memorable, and others aren't unnecessarily lengthy.
 
> Long sequences of %-encoding are definitely not what you want to deal
> with on average [2]. But even a simple ISBN is 10 or 13 digits, often
> without spaces, and difficult to type in correctly.
> 
> With respect to URNs and libraries, I would expect neither the average
> library user nor the technical expert librarian to have to look at URNs
> and input them except in very rare cases.

In many settings we (the German National Library) encourage authors to register a URN _before_ they deliver the digital publication to us for long term preservation, so that they can print it on the title page (or in the imprint or somewhere else in the publication). The use case is, that even if the resolver should be unavailable at some future date, someone who has found a reference with a URN in it should have the possibility to go to a general-purpose search engine and enter the urn string in order to find a copy of the publication since the URN will indexed.

In our catalogue, we present the URN to end users, cf. [1]. I have not yet heard of any users who found it confusing.

[1] http://d-nb.info/1045320641

Best,

Lars